package es.masterupv.android.worldcurrconvert;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Vector;

/**
 * Created by Carlos on 14/11/2015.
 */
public class HistorialConversiones extends SQLiteOpenHelper {
    public HistorialConversiones(Context context) {
        super(context,"dbHistorial",null,1);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL("CREATE TABLE tbHistorial (_id INTEGER PRIMARY KEY AUTOINCREMENT, fecha LONG, monedaOrigen STRING, valorOrigen DOUBLE, monedaDestino STRING, valorDestino DOUBLE)");
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {

    }

    public void guardar(long fecha, String monedaOrigen, double valorOrigen, String monedaDestino, double valorDestino) {
        SQLiteDatabase db = getWritableDatabase();
        db.execSQL("INSERT INTO tbHistorial VALUES (null,"+fecha+",'"+monedaOrigen+"',"+valorOrigen+",'"+monedaDestino+"',"+valorDestino+")");
        db.close();
    }

    public Vector<String> listar(int cantidad) {
        SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
        Date resultdate = null;
        double indiceConversion = 0.0;

        Vector<String> resultado = new Vector<String>();
        SQLiteDatabase db = getReadableDatabase();

        String[] campos = {"fecha","monedaOrigen","valorOrigen","monedaDestino","valorDestino"};
        Cursor cursor = db.query("tbHistorial",campos,null,null,null,null, "fecha ASC, monedaOrigen ASC, monedaDestino ASC",Integer.toString(cantidad));
        while (cursor.moveToNext()) {
            resultdate = new Date(cursor.getLong(0));
            indiceConversion = Math.rint(cursor.getDouble(4)/cursor.getDouble(2)*100)/100;
            resultado.add(sdf.format(resultdate) +"," + cursor.getString(1) + "," + cursor.getDouble(2) + "," + cursor.getString(3) + "," + cursor.getDouble(4) + "," + indiceConversion);
        }
        cursor.close();
        db.close();
        return resultado;
    }
}
