package es.masterupv.android.worldcurrconvert;

import android.content.Context;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.TextView;


public class MenuPrincipal extends AppCompatActivity {

    public static HistorialConversiones historial;
    private TextView twTitulo1,twTitulo2;
    private Button bConvertir,bIndice,bHistorial,bPreferencias;
    private Context contexto;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_menu_principal);

        contexto = this.getBaseContext();
        historial = new HistorialConversiones(contexto);

        twTitulo1 = (TextView) findViewById(R.id.titulo1);
        twTitulo2 = (TextView) findViewById(R.id.titulo2);
        bConvertir = (Button) findViewById(R.id.bConvertir);
        bIndice = (Button)  findViewById(R.id.bIndice);
        bHistorial = (Button)  findViewById(R.id.bHistorial);
        bPreferencias = (Button)  findViewById(R.id.bPreferencias);

        bConvertir.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent i = new Intent(contexto, Conversor.class);
                startActivity(i);
            }
        });
        bIndice.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent i = new Intent(contexto, Indices.class);
                startActivity(i);
            }
        });
        bHistorial.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent i = new Intent(contexto, Historial.class);
                startActivity(i);
            }
        });
        bPreferencias.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent i = new Intent(contexto, Preferencias.class);
                startActivity(i);
            }
        });

        Animation animacion1 = AnimationUtils.loadAnimation(this, R.anim.titulo1);
        Animation animacion2 = AnimationUtils.loadAnimation(this, R.anim.titulo2);
        Animation animacion3 = AnimationUtils.loadAnimation(this, R.anim.convertir);
        Animation animacion4 = AnimationUtils.loadAnimation(this, R.anim.indice);
        Animation animacion5 = AnimationUtils.loadAnimation(this, R.anim.historial);
        Animation animacion6 = AnimationUtils.loadAnimation(this, R.anim.preferencias);
        twTitulo1.startAnimation(animacion1);
        twTitulo2.startAnimation(animacion2);
        bConvertir.startAnimation(animacion3);
        bIndice.startAnimation(animacion4);
        bHistorial.startAnimation(animacion5);
        bPreferencias.startAnimation(animacion6);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_menu_principal, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        int id = item.getItemId();

        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
